.uw-block-center {
    margin-left: auto;
    margin-right: auto;
    display: block;
}

.uw-logo {
    height: 64px;
    width: auto;
}

/**
    design to work with uw-text
*/
.uw-icon-s {
    height: 20px;
    width: 20px;
}

/**
    design to work with uw-text-l
*/
.uw-icon {
    height: 24px;
    width: 24px;
}

/**
    design to work with uw-text-xl
*/
.uw-icon-l {
    height: 32px;
    width: 32px;
}

.uw-icon-xl {
    height: 48px;
    width: 48px;
}

.uw-icon-xxl {
    height: 64px;
    width: 64px;
}

.uw-text-xxl {
    font-size: 26px !important;
}

.uw-text-xl {
    font-size: 20px !important;
}

.uw-text-l {
    font-size: 16px !important;
}

.uw-text {
    font-size: 14px !important;
}

.uw-text-s {
    font-size: 12px !important;
}

.uw-text-xs {
    font-size: 9px !important;
}

.uw-text-xxs {
    font-size: 7px !important;
}

.uw-text-center {
    text-align: center;
}

.uw-text-strong {
    font-weight: bold !important;
}

.uw-text-normal {
    font-weight: normal !important;
    text-shadow: none !important;
}

.uw-text-mark {
}

.uw-text-highlight {

}

.uw-border-warn {
    border-color: red !important;
}

.uw-rotate-3 {

    /* Safari */
    -webkit-transform: rotate(-90deg) !important;

    /* Firefox */
    -moz-transform: rotate(-90deg) !important;

    /* IE */
    -ms-transform: rotate(-90deg) !important;

    /* Opera */
    -o-transform: rotate(-90deg) !important;

    /* Internet Explorer */
    filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3) !important;

}

.uw-background-metal{
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background-color: whitesmoke !important;
}

.uw-background-white{
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background-color: white !important;
}

.uw-background-blue {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background: rgb(207, 237, 251) !important;
}

.uw-background-purple {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background: rgb(235, 228, 255) !important;
}

.uw-background-red {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background: rgb(255, 224, 218) !important;
}

.uw-background-orange {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background: rgb(255, 231, 187) !important;
}

.uw-background-cyan {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background: rgb(210, 236, 235) !important;
}

.uw-background-yellow {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background: rgb(255, 242, 182) !important;
}

.uw-background-pink {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background: rgb(255, 223, 242) !important;
}

.uw-background-green {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background: rgb(224, 244, 190) !important;
}

.uw-background-gray {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background-color: rgb(230, 233, 236) !important;
}

.uw-fill-blue {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background: rgb(0, 140, 201) !important;
    color: white !important;
}

.uw-fill-purple {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background: rgb(124, 91, 187) !important;
    color: white !important;
}

.uw-fill-red {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background: rgb(221, 46, 31) !important;
    color: white !important;
}

.uw-fill-orange {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background: rgb(236, 100, 12) !important;
    color: white !important;
}

.uw-fill-cyan {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background: rgb(0, 158, 165) !important;
    color: white !important;
}

.uw-fill-yellow {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background: rgb(230, 167, 0) !important;
    color: white !important;
}

.uw-fill-pink {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background: rgb(126, 36, 127) !important;
    color: white !important;
}

.uw-fill-green {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background: rgb(96, 170, 20) !important;
    color: white !important;
}

.uw-fill-grey {
    -webkit-background-clip: padding-box !important;
    background-clip: padding-box !important;
    background: rgb(115, 118, 121) !important;
    color: white !important;
}

.uw-line-blue {
    color: rgb(0, 94, 147) !important;
}

.uw-line-purple {
    color: rgb(87, 59, 147) !important;
}

.uw-line-red {
    color: rgb(164, 15, 28) !important;
}

.uw-line-orange {
    color: rgb(175, 65, 4) !important;
}

.uw-line-cyan {
    color: rgb(0, 114, 125) !important;
}

.uw-line-yellow {
    color: rgb(170, 125, 0) !important;
}

.uw-line-pink {
    color: rgb(177, 12, 92) !important;
}

.uw-line-green {
    color: rgb(59, 117, 71) !important;
}

.uw-line-grey {
    color: rgb(67, 70, 73) !important;
}

.uw-line-black {
    color: rgb(0, 0, 0) !important;
}

.uw-line-white {
    color: rgb(255, 255, 255) !important;
}

.uw-border {
    border-style: solid;
    border-width: 1px;
}

.uw-border-top-open {
    border-left-style: solid !important;
    border-right-style: solid !important;
    border-bottom-style: solid !important;
    border-width: 1px !important;
}

.uw-border-bottom {
    border-bottom-style: solid !important;
    border-width: 1px !important;
}

.uw-border-bottom-open {
    border-left-style: solid !important;
    border-right-style: solid !important;
    border-top-style: solid !important;
    border-width: 1px !important;
}

.uw-border-left-open {
    border-top-style: solid !important;
    border-bottom-style: solid !important;
    border-right-style: solid !important;
    border-width: 1px !important;
}

.uw-border-right-open {
    border-top-style: solid !important;
    border-bottom-style: solid !important;
    border-left-style: solid !important;
    border-width: 1px !important;
}

.uw-border-grey {
    border-color: rgb(221, 221, 221);
}

.uw-border-blue {
    border-color: rgb(0, 94, 147) !important;
}

.uw-shadow {
    -webkit-box-shadow: rgba(0, 0, 0, 0.6) 0px 0px 12px 0px;
    box-shadow: rgba(0, 0, 0, 0.6) 0px 0px 12px 0px;
}

.uw-corner {
    border-radius: 5px !important;
}

.uw-corner-rounded {
    border-radius: 5px !important;
}

.uw-corner-rounded-top {
    border-top-left-radius: 5px !important;
    border-top-right-radius: 5px !important;
}

.uw-corner-rounded-bottom {
    border-bottom-left-radius: 5px !important;
    border-bottom-right-radius: 5px; !important;
}

.uw-corner-rounded-left {
    border-bottom-left-radius: 5px !important;
    border-top-left-radius: 5px !important;
}

.uw-corner-rounded-right {
    border-bottom-right-radius: 5px !important;
    border-top-right-radius: 5px !important;
}

.uw-header {
    -webkit-user-select: none;
    display: block;
    font-size: 16px;
    font-weight: bold;
    height: 45px;
    line-height: 45px;
    overflow-x: hidden;
    overflow-y: hidden;
    padding-left: 20px;
    position: relative;
    text-overflow: ellipsis;
}

.uw-content {
    padding: 8px;
}
.uw-fieldset {
    padding:10px !important;
}

.uw-commandbar {
}

.uw-toolbar {
    padding-left:5px !important;
}

.uw-grid {
}

.uw-paragraph {
    margin: 5px 0px 5px 0px !important;
}

.uw-paragraph-lead {
    margin: 0px 0px 5px 0px !important;
}

.uw-paragraph-tail {
    margin: 5px 0px 0px 0px !important;
}
.uw-block {
    padding: 3px 3px 3px 3px !important;
}

.uw-block-lead {
    padding: 3px 3px 3px 0px!important;
}

.uw-block-tail {
    padding: 3px 0px 3px 3px !important;
}

.uw-field {
    margin: 3px 3px 3px 3px !important;
}

.uw-field-lead {
    margin: 3px 3px 3px 0px!important;
}

.uw-field-tail {
    margin: 3px 0px 3px 3px !important;
}

.uw-mark {
    background-color: hsl(36, 90%, 75%) !important;
}

.uw-disable {
    opacity: .5;
    pointer-events: none;
}

.uw-invisible {
    display: none
}

.uw-hover:hover{
    box-shadow:0px 2px 4px 1px lightgray;
}

.uw-selected{
    box-shadow:0px 2px 4px 1px lightgray;
}

.uw-clickable {
    cursor: pointer;
}

.uw-selectable {
    cursor: pointer;
}

.uw-hover-opacity:hover {
    opacity: 1
}
.uw-hover-opacity {
    opacity: 0.3
}

/**
    Chrome does not support grab.
*/
.uw-draggable {
    cursor: pointer;
}

.uw-movable {
    cursor: move;
}

.uw-notallowed {
    cursor: not-allowed;
}

.uw-wait {
    cursor: wait;
}

.uw-zoom-in {
     cursor: zoom-in;
 }

.uw-zoom-out {
    cursor: zoom-out;
}

/**
    Arrow
*/

.uw-arrow-up {
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;

    border-bottom: 5px solid black;
}

.uw-arrow-down {
    width: 0;
    height: 0;
    border-left: 20px solid transparent;
    border-right: 20px solid transparent;

    border-top: 20px solid #f00;
}

.uw-arrow-right {
    width: 0;
    height: 0;
    border-top: 60px solid transparent;
    border-bottom: 60px solid transparent;

    border-left: 60px solid green;
}

.uw-arrow-left {
    width: 0;
    height: 0;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;

    border-right:10px solid blue;
}

/**
    Bootstrap extension
*/


/**
    Panel footer
*/
.panel-primary>.panel-footer {
    border-color: #337ab7;
    color: #337ab7;
    padding-top: 8px;
    padding-bottom: 8px;
}


/**
    Dropdown submenu
*/
.dropdown-submenu {
    position: relative;
}

.dropdown-submenu>.dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: -6px;
    margin-left: -1px;
    -webkit-border-radius: 0 6px 6px 6px;
    -moz-border-radius: 0 6px 6px;
    border-radius: 0 6px 6px 6px;
}

.dropdown-submenu:hover>.dropdown-menu {
    display: block;
}

.dropdown-submenu>a:after {
    display: block;
    content: " ";
    float: right;
    width: 0;
    height: 0;
    border-color: transparent;
    border-style: solid;
    border-width: 5px 0 5px 5px;
    border-left-color: #ccc;
    margin-top: 5px;
    margin-right: -10px;
}

.dropdown-submenu:hover>a:after {
    border-left-color: #fff;
}

.dropdown-submenu.pull-left {
    float: none;
}

.dropdown-submenu.pull-left>.dropdown-menu {
    left: -100%;
    margin-left: 10px;
    -webkit-border-radius: 6px 0 6px 6px;
    -moz-border-radius: 6px 0 6px 6px;
    border-radius: 6px 0 6px 6px;
}

/** ---------------- combobox ------------*/

.uw-combobox {
    overflow: auto;
    height: auto !important;
    padding: 5px !important;
}
.uw-combobox>input{
    background: transparent;
    border: none;
    outline: 0;
    box-shadow: none;
    -webkit-appearance: textfield;
    width: 50px;
    float: left;
    display: inline-block;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.uw-combobox>div {
    display: inline-block;
    background-color: #e4e4e4;
    border: 1px solid #aaa;
    border-radius: 4px;
    cursor: default;
    margin-right: 5px;
    float: left;
    padding: 0px 3px
}

.uw-combobox>div>span {
    display: inline-block;
    color: #999;
    cursor: pointer;
    margin-right: 2px;
    position: relative;
    top: -1px;
}

.uw-filebox {
    position: relative;
    overflow: hidden;
}

.uw-filebox input {
    position: absolute;
    top: 0;
    right: 0;
    padding: 0;
    font-size: 20px;
    cursor: pointer;
    opacity: 0;
    filter: alpha(opacity=0);
}

.uw-filedropper {
    border: 2px dashed #0087F7;
    border-radius: 5px;
    background: white;
    color: dimgray;
}
/** ------------------------------------- */

.gutter {
    padding-left:6px !important;
    padding-right:6px !important;
}

fieldset.title {
    border-top: 1px solid #aaa;
    border-bottom: none;
    border-left: none;
    border-right: none;
    display: block;
    text-align: center;
}

fieldset.title legend {
    padding: 5px 10px;
}

/** ------ Button --------*/

.row>[class*='col-']>button:only-child, .form-group>[class*='col-']>button:only-child {
    width: 100%
}

button.btn>*:nth-child(2) {
    margin-left: 5px;
}

button.btn i.fa:not(.fa-2x) {
    font-size: 16px;
}

button.uw-button-default, span.uw-button-default {
    background: rgb(96, 170, 20) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-default:hover, span.uw-button-default:hover {
    background: rgb(59, 117, 71) none;
    color: white;
    text-shadow: none;
    border: rgb(96, 170, 20);
}

button.btn-link.uw-button-default {
    background: transparent;
    color: rgb(59, 117, 71);
    text-shadow: none;
    border: none;
    padding: 5px 8px;
}

button.btn-link.btn.uw-button-default:hover {
    background: transparent;
    color: rgb(59, 117, 71);
    text-shadow: none;
    border: none;
    padding: 5px 8px;
    opacity: 0.8;
}

button.uw-button-attention, span.uw-button-attention {
    background: rgb(0, 140, 201) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-attention:hover, span.uw-button-attention:hover {
    background: rgb(0, 94, 147) none;
    color: white;
    text-shadow: none;
    border: rgb(0, 140, 201);
}

button.btn-link.uw-button-attention {
    background: transparent;
    color: rgb(0, 94, 147);
    text-shadow: none;
    border: none;
    padding: 5px 8px;
}

button.btn-link.btn.uw-button-attention:hover {
    background: transparent;
    color: rgb(0, 94, 147);
    text-shadow: none;
    border: none;
    padding: 5px 8px;
    opacity: 0.8;
}

button.uw-button-caution, span.uw-button-caution {
    background: rgb(230, 167, 0) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-caution:hover, span.uw-button-caution:hover {
    background: rgb(170, 125, 0) none;
    color: white;
    text-shadow: none;
    border: rgb(230, 167, 0);
}

button.btn-link.uw-button-caution {
    background: transparent;
    color: rgb(170, 125, 0);
    text-shadow: none;
    border: none;
    padding: 5px 8px;
}

button.btn-link.btn.uw-button-caution:hover {
    background: transparent;
    color: rgb(170, 125, 0);
    text-shadow: none;
    border: none;
    padding: 5px 8px;
    opacity: 0.8;
}

button.uw-button-warning, span.uw-button-warning {
    background: rgb(236, 100, 12) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-warning:hover, span.uw-button-warning:hover {
    background: rgb(175, 65, 4) none;
    color: white;
    text-shadow: none;
    border: rgb(236, 100, 12);
}

button.btn-link.uw-button-warning {
    background: transparent;
    color: rgb(175, 65, 4);
    text-shadow: none;
    border: none;
    padding: 5px 8px;
}

button.btn-link.btn.uw-button-warning:hover {
    background: transparent;
    color: rgb(175, 65, 4);
    text-shadow: none;
    border: none;
    padding: 5px 8px;
    opacity: 0.8;
}

button.uw-button-danger, span.uw-button-danger {
    background: rgb(221, 46, 31) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-danger:hover, span.uw-button-danger:hover {
    background: rgb(164, 15, 28) none;
    color: white;
    text-shadow: none;
    border: rgb(221, 46, 31);
}

button.btn-link.uw-button-danger {
    background: transparent;
    color: rgb(164, 15, 28);
    text-shadow: none;
    border: none;
    padding: 5px 8px;
}

button.btn-link.btn.uw-button-danger:hover {
    background: transparent;
    color: rgb(164, 15, 28);
    text-shadow: none;
    border: none;
    padding: 5px 8px;
    opacity: 0.8;
}

button.uw-button-blue {
    background: rgb(0, 140, 201) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-blue:hover {
    background: rgb(0, 140, 201) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(0, 140, 201);
}

button.uw-button-purple {
    background: rgb(124, 91, 187) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-purple:hover {
    background: rgb(124, 91, 187) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(124, 91, 187);
}

button.uw-button-orange {
    background: rgb(236, 100, 12) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-orange:hover {
    background: rgb(236, 100, 12) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(236, 100, 12);
}

button.uw-button-cyan {
    width: 100px;
    height: 30px;
    background: rgb(0, 158, 165) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-cyan:hover {
    background: rgb(0, 158, 165) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(0, 158, 165);
}

button.uw-button-yellow {
    background: rgb(230, 167, 0) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-yellow:hover {
    background: rgb(230, 167, 0) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(230, 167, 0);
}

button.uw-button-pink {
    background: rgb(126, 36, 127) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-pink:hover {
    background: rgb(126, 36, 127) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(126, 36, 127);
}

button.uw-button-green {
    background: rgb(96, 170, 20) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-green:hover {
    background: rgb(96, 170, 20) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(96, 170, 20);
}

button.uw-button-grey {
    background: rgb(115, 118, 121) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-grey:hover {
    background: rgb(115, 118, 121) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(115, 118, 121);
}

/**--------- customize grid system ----------*/
form>.form-group>[class*='col-'] {
    padding-right: 6px;
    padding-left: 6px;
}

form>.form-group>[class*='col-']:not([class*='offset']):first-child {
    padding-left: 15px;
}

form>.form-group>[class*='col-']:last-child {
    padding-right: 15px;
}

form>.form-group:last-child {
    margin-bottom: 0px;
}

/**--------- label ----------------*/
label.uw-label-required:after {
    color: #d00;
    content: "*";
    margin-right: -6px;
    padding-left: 2px;
    font-size: larger;
}

label.uw-label-center, label.uw-label-center.control-label {
    text-align: center;
}

form label {
    font-weight: normal;
    color: rgb(0, 94, 147);
}

/**-------- nav nav-tabs --------*/
ul.nav-tabs {
    border-bottom: 1px solid rgb(0, 140, 201);
}

ul.nav.nav-tabs li.active a[data-toggle=tab] {
    border: 1px solid rgb(0, 140, 201);
    border-bottom-color: transparent;
    color: rgb(0, 140, 201);
    background-color: ghostwhite;
    padding: 5px 15px;
}

ul.nav.nav-tabs li a[data-toggle=tab] {
    /*border: 1px solid grey;*/
    border-bottom-color: rgb(0, 140, 201);
    color: rgb(0, 114, 125);
    background-color: lavender;
    padding: 5px 15px;
}

/**------- table ---------------*/
table.table {
    border-color: lightsteelblue;
}

table.table>thead>tr>th {
    border-bottom: 2px solid lightsteelblue;
    color: rgb(0, 94, 147);
}

table.table>tbody>tr>td {
    border-top: 1px solid lightsteelblue;
    color: rgb(0, 94, 147);
}

table.table>tbody>tr:nth-of-type(odd):hover, table.table>tbody>tr:nth-of-type(even):hover {
    background-color: hsl(192, 50%, 80%);
}

table.table-striped>tbody>tr:nth-of-type(odd) {
    background-color: lavender;
}

/**----------- body ------------*/
html>body {
    background-color: ghostwhite;
    font-family: "Microsoft JhengHei", "Helvetica Neue", Helvetica, Arial, sans-serif;
}

/**----------- hr ------------*/
body hr {
    border-top: 1px solid rgb(0, 140, 201);
}

/**---------- pagination ------*/
ul.pagination {
    margin: 0px;
}


/**----------- chart -----------*/
div[class=row]>div[class*='col-'] {
    height: inherit;
}

/**----------- fieldset ---------*/
div fieldset {
     min-width: initial;
     padding: 8px 16px;;
     margin: initial;
    border: 1px solid #ccc;
    border-radius: 4px;
}
fieldset>legend {
     display: block;
     width: initial;
     padding: initial;
     margin: initial;
     font-size: inherit;
     line-height: initial;
     color: rgb(0, 94, 147);
     border: initial;
}

/**--------- Input -----------*/
input.form-control[type=file] {
    height: auto
}

/**---------- today -----------*/
.todaySection {
    height: 130px;
    margin-bottom: 15px;
    border: 1px solid #cecece;
    box-shadow: 0 1px 6px 0 rgba(0, 0, 0, 0.12), 0 1px 6px 0 rgba(0, 0, 0, 0.12);
    background-color: white;
}
/* line 73, ../sass/_home.scss */
.todaySection > div:nth-child(1) {
    background-color: #42a2cd;
    height: 32px;
    text-align: center;
    padding-top: 3px;
    color: white;
    font-size: 20px;
}
/* line 84, ../sass/_home.scss */
.todaySection > div:nth-child(2) {
    text-align: center;
    margin-top: 12px;
    font-size: 32px;
    font-weight: bold;
    color: #42a2cd;
}
/* line 92, ../sass/_home.scss */
.todaySection > div:nth-child(3) {
    text-align: center;
    margin-top: 5px;
    color: #afafaf;
}